# 部署 gitea, 由 nginx 反代

- 配合 nginx 反代，并单独挂载 indexers 目录
- 根据实际环境修改
    - docker-compose.yml

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    mkdir -p -m 0777 socket
    ```

- 启动
    ```
    docker-compose up -d
    ```

- 运行 gitea
    ```
    docker-compose up -d gitea
    ```

- 停止 gitea
    ```
    docker-compose down -v
    ```

- 修改 gitea 配置文件 /compose/gitea/gitea/custom/conf/app.ini
    ```
    [indexer]
    ...
    ISSUE_INDEXER_TYPE       = bleve
    ISSUE_INDEXER_PATH       = /indexers/issues.bleve
    ISSUE_INDEXER_QUEUE_TYPE = levelqueue
    ISSUE_INDEXER_QUEUE_DIR  = /indexers/issues.queue
    REPO_INDEXER_ENABLED     = true
    REPO_INDEXER_PATH        = /indexers/repos.bleve
    UPDATE_BUFFER_LEN        = 20
    MAX_FILE_SIZE            = 1048576
    REPO_INDEXER_INCLUDE     = **.go,**.yml,**.toml,**.c,**.h,**makefile,**.py,**.txt,**.ini,**.rs,**.sh,**.md,**Dockerfile*,**docker-entrypoint*,**.cnf,**.conf,**.json,**.sql,**.xml,**.js,**.jsx,**.vue,**.ts,**.tsx,**.html,**.css,**.scss,**.less
    ...

    [server]
    ...
    PROTOCOL               = unix
    DOMAIN                 = git.xxxx.com
    ROOT_URL               = http://git.xxxx.com
    HTTP_ADDR              = /socket/gitea
    UNIX_SOCKET_PERMISSION = 666
    ...
    ```

- 运行
    ```
    docker-compose up -d
    ```

- 浏览器访问 http://git.xxxx.com

