# 部署 vsftpd

- 容器的日志目录：/var/log/vsftpd/
- 容器的数据目录
    - 匿名用户：/var/lib/ftp/
    - 普通用户：$HOME/

- 引入 vsftpd 配置
    - 环境变量
        ```
        environment:
          VSFTPD_OPTS: '-owrite_enable=YES'
        ```

    - 挂载配置文件
        ```
        volumes:
        - type: bind
          source: ./vsftpd/vsftpd.conf
          target: /etc/vsftpd/vsftpd.conf
        ```

- 创建 vsftpd 普通用户，通过环境变量引入
    ```
    environment:
      FTP_USER_1001: 'user1:123456'
      FTP_USER_1002: 'user2:123456'
      FTP_USER_1003: 'user3:123456'
    # 创建三个用户，用户名分别是 user1、user2 和 user3
    # 对应的 uid 分别是 1001、1002 和 1003
    # 密码都是 123456
    ```

- 服务器数据盘挂载到 /data/ 目录下
- 根据实际环境修改
    - docker-compose.yml

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    ```

- 启动
    ```
    docker-compose up -d
    ```

